|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Types | Static Public Attributes
gameplay::Gesture Class Reference

`#include <Gesture.h>`

List of all members.

## Public Types

enum | GestureEvent { GESTURE_TAP = 0, GESTURE_SWIPE, GESTURE_PINCH, GESTURE_LONG_TAP, GESTURE_DRAG, GESTURE_DROP, GESTURE_ANY_SUPPORTED = -1 }

## Static Public Attributes

static const int | SWIPE_DIRECTION_UP = 1 << 0
static const int | SWIPE_DIRECTION_DOWN = 1 << 1
static const int | SWIPE_DIRECTION_LEFT = 1 << 2
static const int | SWIPE_DIRECTION_RIGHT = 1 << 3

## Detailed Description

Defines a gesture touch screen event.

## Member Enumeration Documentation

enum gameplay::Gesture::GestureEvent

The gesture event type.

## Member Data Documentation

const int gameplay::Gesture::SWIPE_DIRECTION_DOWN = 1 << 1`[static]`

The down direction for a swipe event.

const int gameplay::Gesture::SWIPE_DIRECTION_LEFT = 1 << 2`[static]`

The left direction for a swipe event.

const int gameplay::Gesture::SWIPE_DIRECTION_RIGHT = 1 << 3`[static]`

The right direction for a swipe event.

const int gameplay::Gesture::SWIPE_DIRECTION_UP = 1 << 0`[static]`

The up direction for a swipe event.

All Classes Functions Variables Typedefs Enumerations Enumerator